package com.ms.dal.mapper;

import com.ms.dal.entity.DsMessageConsumerBuffer;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.ms.dal.entity.DsMessageConsumerBuffer
 */
@Mapper
public interface DsMessageConsumerBufferMapper {

    int deleteByPrimaryKey(Long id);

    int insert(DsMessageConsumerBuffer record);

    int insertSelective(DsMessageConsumerBuffer record);

    DsMessageConsumerBuffer selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DsMessageConsumerBuffer record);

    int updateByPrimaryKey(DsMessageConsumerBuffer record);

    List<DsMessageConsumerBuffer> getListPrimaryKeyBiggerThan(@Param("id")Long id, @Param("limit")Integer limit);

    void deleteByIdList(@Param("deleteBufferIds") List<Long> deleteBufferIds);
}
